Page MenuHomePhabricator

CirrusSearch should do something helpful if the search does not return enough results
Closed, ResolvedPublic

Description

Since we'll be switching CirrusSearch to ANDing terms together by default this can lead to searches producing far fewer results. If the search yields too few results CirrusSearch should do something helpful if the search does not return enough results. I'm not sure what exactly we should do.

One option is to switch the search to ORing terms together again.
Another is to figure out a better search term and suggest that to the user.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52904

Details

Reference
bz53799

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:53 AM
bzimport added a project: CirrusSearch.
bzimport set Reference to bz53799.
bzimport added a subscriber: Unknown Object (MLST).
demon removed a subscriber: demon.Aug 19 2015, 4:07 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 19 2015, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana moved this task from Needs triage to Search on the Discovery board.Dec 31 2015, 3:54 AM
Deskana closed this task as Resolved.Nov 10 2016, 3:08 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

Many of our recent improvements (such as TextCat) and our upcoming improvements to the search results page will handle this nicely. Closing as resolved.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptNov 10 2016, 3:08 AM